%define _requires_exceptions pear(Horde/MIME/Magic.php)
%define upstream_name Horde_Vfs
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.1.1
Release:     	%mkrel 2
Summary:    	Virtual File System API
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires:	php-pear-Horde_Exception >= 2.0.0
Requires:	php-pear-Horde_Exception < 3.0.0alpha1
Requires:	php-pear-Horde_Translation >= 2.0.0
Requires:	php-pear-Horde_Translation < 3.0.0alpha1
Requires:	php-pear-Horde_Util >= 2.0.0
Requires:	php-pear-Horde_Util < 3.0.0alpha1
BuildArch:  	noarch

%description
This package provides a Virtual File System API, with backends for:

* SQL
* FTP
* Local filesystems
* Hybrid SQL and filesystem
* Samba
* SSH2/SFTP
* IMAP (Kolab)

Reading, writing and listing of files are all supported, and there are both
object-based and array-based interfaces to directory listings.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Vfs.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Vfs.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Vfs
fi

%files
%doc docs/Horde_Vfs/COPYING
%{_bindir}/*
%{peardir}/*
%{xmldir}/Horde_Vfs.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.1.1-2.mga4
+ Revision: 532072
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 spuhler <spuhler> 2.1.1-1.mga4
+ Revision: 466633
- upgrade to ver 2.1.1

* Fri Jun 07 2013 spuhler <spuhler> 2.1.0-1.mga4
+ Revision: 438637
- upgrade to ver. 2.1.0
- update Requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.0.8-4.mga3
+ Revision: 376712
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 spuhler <spuhler> 1.0.8-3.mga2
+ Revision: 217755
- added requires_exceptions pear(Horde/MIME/Magic.php)
  because of a spelling error in the source package

* Fri Jan 13 2012 spuhler <spuhler> 1.0.8-2.mga2
+ Revision: 195517
- added Obsoletes: php-pear-VFS as listed upstreams on php-pear-VFS package

* Mon Nov 21 2011 spuhler <spuhler> 1.0.8-1.mga2
+ Revision: 170277
- upgrade to 1.0.8

* Mon Nov 07 2011 spuhler <spuhler> 1.0.7-1.mga2
+ Revision: 164741
- upgrade to 1.0.7
- imported package php-pear-Horde_Vfs

